ツリー型のスキル習得システムのプラグイン

フォーラムルール
素材の利用規約を決めたいけど、どんなことを書けばいいのか分からない場合は、
素材のテンプレートをご利用下さい。
calcifer
記事: 2
登録日時: 2017年7月11日(火) 12:49

Re: ツリー型のスキル習得システムのプラグイン

投稿記事by calcifer » 2017年7月11日(火) 12:56

最初にこのような良いプラグインをありがとう。私の日本語のために申し訳ありません、私は英語と翻訳者を使用しています。大丈夫ならテストプロジェクトを作ってアップロードしてプラグインの動作を確認してください。私はあなたの文書に従ってプラグインをインストールしましたが、スキルを示す代わりに画像に結果が表示されます。私は他のプラグインなしでバージョン1.8.1とRMMV 1.5.0を使用していますが、動作しません!あなたの助けをもう一度ありがとう!
添付ファイル
example-error.png

フトコロ
記事: 455
登録日時: 2017年2月06日(月) 21:32

Re: ツリー型のスキル習得システムのプラグイン

投稿記事by フトコロ » 2017年7月11日(火) 19:27

calcifer さんが書きました:最初にこのような良いプラグインをありがとう。私の日本語のために申し訳ありません、私は英語と翻訳者を使用しています。大丈夫ならテストプロジェクトを作ってアップロードしてプラグインの動作を確認してください。私はあなたの文書に従ってプラグインをインストールしましたが、スキルを示す代わりに画像に結果が表示されます。私は他のプラグインなしでバージョン1.8.1とRMMV 1.5.0を使用していますが、動作しません!あなたの助けをもう一度ありがとう!


こんにちは、calciferさん

プラグインを利用していただき、ありがとうございます。

スキルツリーを表示するためには、以下の作業が必要です。

1.スキルツリー用の武器タイプIDを、プラグインパラメータ<Skill Tree Id>に設定する。
2.武器のデータベースで、スキルツリーを作成する。
3.スキルツリー用のスキルを作成する。
4.アクターにスキルツリーを設定する。

まず、1のプラグインパラメータについて、確認してみてください。

サンプルプロジェクトを私のGithubにアップしました。

参考になれば幸いです。

ダウンロード(Download):
https://github.com/futokoro/RPGMaker/blob/master/sampleProject/SkillTreeSample.zip


Dear calcifer

Thank you for using my plugin.
In order to display the skill tree, the following work is required.

1. Set the weapon type ID for the skill tree to the plug-in parameter <Skill Tree Id>.
2. Create skill trees with weapons database.
3. Create a skill for skill trees.
4. Set the skill tree for actors.

First of all, please check about the 1. plugin parameter.

I uploaded the sample project to my Github.
I am happy if it becomes helpful.
calcifer
記事: 2
登録日時: 2017年7月11日(火) 12:49

Re: ツリー型のスキル習得システムのプラグイン

投稿記事by calcifer » 2017年7月12日(水) 00:21

ありがとうございました! あなたは最も役に立ちます! 私はデモを使って私の間違いを理解することができました。 私はあなたに非常に恩恵を受けています! すべてが機能しており、私はとても幸せです! :D
ratsel
記事: 5
登録日時: 2017年7月15日(土) 23:24

Re: ツリー型のスキル習得システムのプラグイン

投稿記事by ratsel » 2017年7月15日(土) 23:32

不具合報告かも?

アイテムでリセットの場合は問題ないですが、プラグインコマンドでのリセットは不具合あります。
STS Reset Actor(x) ALL xは2入れてたのに、Actor1と2両方リセットされるのです。

確認お願いします><
ありがとうございます。
フトコロ
記事: 455
登録日時: 2017年2月06日(月) 21:32

Re: ツリー型のスキル習得システムのプラグイン

投稿記事by フトコロ » 2017年7月16日(日) 19:33

ratsel さんが書きました:不具合報告かも?

アイテムでリセットの場合は問題ないですが、プラグインコマンドでのリセットは不具合あります。
STS Reset Actor(x) ALL xは2入れてたのに、Actor1と2両方リセットされるのです。

確認お願いします><
ありがとうございます。
]
ご連絡ありがとうございます。
新規プロジェクトで確認してみました。

以下のプラグインコマンドを実行すると、正常にActor2だけリセットしました。

コード: 全て選択

STS Reset Actor(2) ALL


お手数をかけますが、もう少し情報をいただけませんか?
1. MVのバージョン
2. プラグインのバージョン
3.プラグインコマンドを実行するイベントの内容
ratsel
記事: 5
登録日時: 2017年7月15日(土) 23:24

Re: ツリー型のスキル習得システムのプラグイン

投稿記事by ratsel » 2017年7月17日(月) 15:39

申し訳ありません><、 自己解決しました。
実は他人のパッシププラグインも導入してますが、スキルリセット最大のHPとHPがおかしくなっててフトコロさんのプラグイン少し弄って解決しようとした。ところが最初にいろいろ試してたせいか、不具合発生してしまいました。。。

両方の問題解決しました。ご迷惑をおかけして申し訳ございません ><
さすらいのなんちゃら
記事: 3
登録日時: 2017年7月24日(月) 17:23

Re: ツリー型のスキル習得システムのプラグイン

投稿記事by さすらいのなんちゃら » 2017年7月24日(月) 17:35

お世話になっております。

ver1.8.3を使わさせて頂いておりますがスキルツリー画面を開くとエラーメッセージが表示されてしまいます。
上記のサンプルプロジェクトでテストプレイしても同様の現象が発生し、どうしようも無くなったのでご報告させて頂きました。
こちらのミスかもしれませんが、どうかご確認の方よろしくお願いいたします。
フトコロ
記事: 455
登録日時: 2017年2月06日(月) 21:32

Re: ツリー型のスキル習得システムのプラグイン

投稿記事by フトコロ » 2017年7月24日(月) 19:30

さすらいのなんちゃら さんが書きました:お世話になっております。

ver1.8.3を使わさせて頂いておりますがスキルツリー画面を開くとエラーメッセージが表示されてしまいます。
上記のサンプルプロジェクトでテストプレイしても同様の現象が発生し、どうしようも無くなったのでご報告させて頂きました。
こちらのミスかもしれませんが、どうかご確認の方よろしくお願いいたします。


ご連絡ありがとうございます。

こちらの環境で試しましたが、ダウンロードしたプラグインおよび、サンプルプロジェクトでもエラー無く正常に動作しています。

お手数をお掛けしますが、どのようなエラーなのかご教示いただけませんか?
できれば、エラー時のコンソールログ(エラー時にF8キーを押して表示したウィンドウの内容)を添付して頂きますと、対応しやすくなります。

なお、サンプルプロジェクトは容量削減のため画像ファイルを添付していません。
サンプルプロジェクトを動作させるためには、別のプロジェクトから画像フォルダごとコピーする必要があります。
さすらいのなんちゃら
記事: 3
登録日時: 2017年7月24日(月) 17:23

Re: ツリー型のスキル習得システムのプラグイン

投稿記事by さすらいのなんちゃら » 2017年7月24日(月) 19:50



こちらがコンソールの画像です。
何かわかればご報告していただけるとありがたいです。。。
エラーメッセージ的に何か不足しているファイルがあるみたいなことを言われていますが
付属のpng等って無かったですよね。。。?
添付ファイル
スクリーンショット (23).png
フトコロ
記事: 455
登録日時: 2017年2月06日(月) 21:32

Re: ツリー型のスキル習得システムのプラグイン

投稿記事by フトコロ » 2017年7月24日(月) 22:27

さすらいのなんちゃら さんが書きました:
こちらがコンソールの画像です。
何かわかればご報告していただけるとありがたいです。。。
エラーメッセージ的に何か不足しているファイルがあるみたいなことを言われていますが
付属のpng等って無かったですよね。。。?

コンソールログの添付ありがとうございます。

エラー内容から判断すると、プロジェクトのコアスクリプト(jsフォルダ直下にあるrpg_core.js等のこと)が v1.5.0になっていないことが原因と考えます。
当プラグインのV1.8.0以降は、コアスクリプトv1.5.0に対応させているため、申し訳ないですがそれ以前のバージョンのコアスクリプトでは動作しません。

“MV:プラグイン素材” へ戻る